package com.tzld.piaoquan.api.dao.mapper.contentplatform;

import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformGzhPlan;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformGzhPlanExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ContentPlatformGzhPlanMapper {
    long countByExample(ContentPlatformGzhPlanExample example);

    int deleteByExample(ContentPlatformGzhPlanExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ContentPlatformGzhPlan record);

    int insertSelective(ContentPlatformGzhPlan record);

    List<ContentPlatformGzhPlan> selectByExample(ContentPlatformGzhPlanExample example);

    ContentPlatformGzhPlan selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ContentPlatformGzhPlan record, @Param("example") ContentPlatformGzhPlanExample example);

    int updateByExample(@Param("record") ContentPlatformGzhPlan record, @Param("example") ContentPlatformGzhPlanExample example);

    int updateByPrimaryKeySelective(ContentPlatformGzhPlan record);

    int updateByPrimaryKey(ContentPlatformGzhPlan record);
}